Subject: Re: openvpn-client-service error

From: john herrlin <[email-masked]>
Date: Mon, 9 Oct 2017 18:22:24 +0200

With some help from the wonderful people in #guix, IRC I managed to get
this far.

```
git am <patch>
guix environment guix
./bootstrap && ./configure --sysconfdir=/etc --localstatedir=/var
make
guix system vm config.scm    # failed on grub/efi
guix system build config.scm  # succeeded
```

I dont know how to proceed further.

2017-10-09 13:41 GMT+02:00 julien lepiller <[email-masked]>:

> Le 2017-10-08 22:03, john herrlin a écrit :
>
>> Hey,
>>
>> I am facing a problem with (openvpn-client-service) when trying to
>> reconfigure the system.
>> Its GuixSD on a x86-64, the system config is attached.
>>
>> Backtrace:
>> In srfi/srfi-1.scm:
>>    592:29 19 (map1 (#<<service> type: #<service-type nscd 22f74b0…> …))
>>    592:29 18 (map1 (#<<service> type: #<service-type guix 22f73c0…> …))
>>    592:29 17 (map1 (#<<service> type: #<service-type urandom-seed…> …))
>>    592:29 16 (map1 (#<<service> type: #<service-type syslog 22f74…> …))
>>    592:29 15 (map1 (#<<service> type: #<service-type static-netwo…> …))
>>    592:29 14 (map1 (#<<service> type: #<service-type mingetty 22f…> …))
>>    592:29 13 (map1 (#<<service> type: #<service-type mingetty 22f…> …))
>>    592:29 12 (map1 (#<<service> type: #<service-type mingetty 22f…> …))
>>    592:29 11 (map1 (#<<service> type: #<service-type mingetty 22f…> …))
>>    592:29 10 (map1 (#<<service> type: #<service-type mingetty 22f…> …))
>>    592:29  9 (map1 (#<<service> type: #<service-type mingetty 22f…> …))
>>    592:29  8 (map1 (#<<service> type: #<service-type console-font…> …))
>>    592:17  7 (map1 (#<<service> type: #<service-type openvpn-clie…> …))
>> In gnu/services/vpn.scm:
>>    409:24  6 (_ #<<openvpn-client-configuration> openvpn: #<package …>)
>>     379:9  5 (openvpn-config-file client #<<openvpn-client-configura…>)
>> In ice-9/ports.scm:
>>     549:4  4 (call-with-output-string _)
>>     473:4  3 (with-output-to-port _ _)
>> In ice-9/boot-9.scm:
>>    268:13  2 (for-each #<procedure 2636d40 at gnu/services/configur…> …)
>> In gnu/services/vpn.scm:
>>    112:19  1 (serialize-tls-auth client #f)
>> In unknown file:
>>            0 (string-append #f " " "1")
>>
>> ERROR: In procedure string-append:
>> ERROR: In procedure string-append: Wrong type (expecting string): #f
>>
>
> Although I won't be able to check it before tomorrow evening, here is a
> patch that should solve your issue. Are you able to test it and tell me
> whether it works?
>
> Thank you for reporting this!

-- 
MVH
John Herrlin